<?php
namespace Claromentis\People\Validator;

$GLOBALS["__65da1b1" . "ec2d6653e" . "8a0ab7848" . "e536215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0" . "ab7848e536215"] ?: array()) + array("_dc99f29eb97c27" . "4b4e47f6701fb2d" . "842" => base64_decode("TWV0YWRhdGEgZmllb" . "GQg"), "_535e3fcb3f5d8" . "9c525bb618a08c" . "c8dcc" => base64_decode("LiBWYWx1ZSBtdXN0IGJlIGVpdG" . "hlciBhIGRvY3VtZW50IElEIG9y" . "IGEgZG9jdW1lbnQgb2JqZWN0"), "_62d701c3c53404f06345eb3572" . "0a47b4" => base64_decode("aXNfbnVtZXJpYw=" . "="), "_4b4a03dbe69a4c39db014be2875a7" . "313" => base64_decode("Tm9uLW51bWVyaWMgdmFsdWUg" . "Ig=="), "_bb26699a673361f" . "f7c17444a2a82deb" . "a" => base64_decode("SW52YWxpZCB2YWx1ZSBnaXZlbiBmb3IgZG9jdW" . "1lbnQgbGluayBmaWVsZCA="), "_bd71c3b5c201fc11db82ed14ce424de" . "5" => base64_decode("aW5fYXJ" . "yYXk="), "_d155d43a39de93f858123c" . "6b6ce31d8a" => base64_decode("cHJlZ19tYXR" . "jaA=="), "_a7fdbac2" . "a6d0ebb5b" . "b8ea569e8" . "173d7b" => base64_decode("IiBmb3IgZG" . "F0ZSBmaWVs" . "ZCA="), "_a827c5bc10b" . "88ccab760d95" . "c58bfbeaa" => base64_decode("Q291bGQgbm90IHBhcnNlIHZhbH" . "VlICI="), "_ac927f4168510971" . "a59508f1f08cf98a" => base64_decode("L15cZ" . "Hs4fS" . "Qv"), "_fa96cdf58bff3b0695fb2bc0803d" . "7b12" => base64_decode("IGRvZXMgbm9" . "0IGV4aXN0"), "_3aec16c1aa210" . "4da778e412207d" . "6c415" => base64_decode("L15cZHsxNH18" . "XGR7OH0kLw=="), "_2cb499b451" . "eb718f841aa" . "a78dc70cc52" => base64_decode("IiBmb3IgZGF0ZS10aW1l" . "IGZpZWxkIA=="), "_27ba77e349c" . "be144e8794d0" . "c0497a106" => base64_decode("IiBnaXZlbiBmb3Igc2VsZWN0IGZpZWxk" . "IA=="), "_66a6b98e1f1601e30de10feb34" . "4fcdb6" => base64_decode("SW52YWx" . "pZCB2YW" . "x1ZSAi"), "_d013620d4b36b1d03509cb" . "eff31bbdb9" => base64_decode("IiBnaXZlbiBmb3IgbnVtZXJpYyBm" . "aWVsZCA="));
use Claromentis\People\Exception\ValidationException;
use Claromentis\People\Repository\UserRepository;
class MetadataValidator
{
    protected $user_repository;
    public function __construct(UserRepository $_eeeeb0d673b7b0fd0bdca58b5541c3e0)
    {
        $this->user_repository = $_eeeeb0d673b7b0fd0bdca58b5541c3e0;
    }
    
    
    
    
    
    
    
    public function Validate(int $_8bd60f167b34bb2f633dd93934749b67, array $values) : array
    {
        $_cd32cee6e5836ae05dc7b722f2ec21e9 = new \MetaDataSet($_8bd60f167b34bb2f633dd93934749b67);
        $_cd32cee6e5836ae05dc7b722f2ec21e9->LoadAllFields();
        $output = [];
        foreach ($values as $key => $value) {
            $field = $_cd32cee6e5836ae05dc7b722f2ec21e9->GetMetaFieldByName($key);
            if ($field === false) {
                throw new ValidationException($GLOBALS["__65da1b1ec2d6653e8a0ab7848e53621" . "5"]["_dc99f29eb97c274b4e47f6701f" . "b2d842"] . $key . $GLOBALS["__65da1b1" . "ec2d6653e" . "8a0ab7848" . "e536215"]["_fa96cdf58bff3b" . "0695fb2bc0803d7" . "b12"]);
            }
            switch ($field->GetMetaType()) {
                case META_TYPE_TEXT:
                case META_TYPE_DEFAULT:
                    break;
                case META_TYPE_INT:
                    if (!$GLOBALS["__65da1b1ec2d6" . "653e8a0ab7848e" . "536215"]["_62d701c3c53404f0634" . "5eb35720a47b4"]($value)) {
                        throw new ValidationException($GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"]["_4b4a03db" . "e69a4c39d" . "b014be287" . "5a7313"] . $value . $GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"]["_d013620d4b36" . "b1d03509cbeff" . "31bbdb9"] . $key);
                    }
                    break;
                case META_TYPE_DATETIME:
                    if (!$GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"]["_d155d43a39de93f858123" . "c6b6ce31d8a"]($GLOBALS["__65da1b1ec2d66" . "53e8a0ab7848e53" . "6215"]["_3aec16c1aa210" . "4da778e412207d" . "6c415"], $value)) {
                        throw new ValidationException($GLOBALS["__65da1b1ec2d6653e8a0ab7848" . "e536215"]["_a827c5bc10b88ccab760d95c58b" . "fbeaa"] . $value . $GLOBALS["__65da1b1ec2d6653e8a0ab7848e5" . "36215"]["_2cb499b451eb718f841aaa7" . "8dc70cc52"] . $key);
                    }
                    break;
                case META_TYPE_SELECT:
                    $field->values->Load();
                    $_4d67cdd33a7358d7cc3b5e51df410bbb = $field->values->GetAllValues();
                    if (!$GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"]["_bd71c3b5c201fc" . "11db82ed14ce424" . "de5"]($value, $_4d67cdd33a7358d7cc3b5e51df410bbb)) {
                        throw new ValidationException($GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"]["_66a6b98e1f1601e30de10feb344fcd" . "b6"] . $value . $GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"]["_27ba77e349cbe144e8" . "794d0c0497a106"] . $key);
                    }
                    break;
                case META_TYPE_CHECK:
                    break;
                case META_TYPE_DOCLINK:
                    if (!$GLOBALS["__65da1b1ec2d6653e8a0ab784" . "8e536215"]["_62d701c" . "3c53404f" . "06345eb3" . "5720a47b" . "4"]($value) && !$value instanceof \ERMSDocument && !$value instanceof \Claromentis\Core\Metadata\Type\DocumentObject) {
                        throw new ValidationException($GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"]["_bb26699a673361ff7" . "c17444a2a82deba"] . $key . $GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"]["_535e3fcb3f5d89c" . "525bb618a08cc8dc" . "c"]);
                    }
                    break;
                case META_TYPE_LINK:
                    break;
                case META_TYPE_USER:
                    break;
                case META_TYPE_DATE:
                    if (!$GLOBALS["__65da1b1ec2d6653e8a0ab7848e53" . "6215"]["_d155d43a39de93f858" . "123c6b6ce31d8a"]($GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"]["_ac927f41685" . "10971a59508f" . "1f08cf98a"], $value)) {
                        throw new ValidationException($GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"]["_a827c5bc10b88cca" . "b760d95c58bfbeaa"] . $value . $GLOBALS["__65da1b1ec2d6" . "653e8a0ab7848e" . "536215"]["_a7fdbac2a6d" . "0ebb5bb8ea56" . "9e8173d7b"] . $key);
                    }
                    break;
                case META_TYPE_SPECIAL:
                    break;
                case META_TYPE_FILE:
                    break;
                case META_TYPE_ADDRESS:
                    break;
                case META_TYPE_MULTISELECT:
                    break;
                case META_TYPE_DATE_NO_YEAR:
                    break;
                case META_TYPE_IMAGE:
                    break;
            }
            $output[$key] = $value;
        }
    }
}